Bug 38395 - EDITING: Please enable smart apostrophe replacement by default (AutoCorrection)
Summary: EDITING: Please enable smart apostrophe replacement by default (AutoCorrection)
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
Whiteboard: target:5.1.0
: 74855 92850 (view as bug list)
Depends on:
Reported: 2011-06-17 02:01 UTC by Milan Bouchet-Valat
Modified: 2016-10-18 14:37 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Note You need to log in before you can comment on or make changes to this bug.
Description Milan Bouchet-Valat 2011-06-17 02:01:08 UTC
I always enable the apostrophe automatic replacement whenever I install LibreOffice for a friend. The standard ASCII apostrophe ' looks ugly and IMHO really hurts the otherwise great look of LO-produced documents. The replacement of straight apostrophes to ’ (U+2019 RIGHT SINGLE QUOTATION MARK) works well and fixes the issue.

So why not enable it by default? I asked in the old OpenOffice times, and I was said per-language options was needed first. Now that this has landed, I think the problem can be solved. I don't know whether this makes sense for all languages, but definitely for all Western ones, which is already a big share of users. Local communities can then be asked for other languages (if they care at all - maybe that doesn't make any sense for them).
Comment 1 Jean-Baptiste Faure 2011-06-19 12:59:59 UTC
Not a default => changed in enhancement.

Best regards. JBF
Comment 2 Björn Michaelsen 2011-12-23 12:29:43 UTC Comment hidden (obsolete)
Comment 3 Jean-Baptiste Faure 2011-12-26 00:58:35 UTC
enhancement => set to new.

Best regards. JBF
Comment 4 Kumāra 2013-02-25 09:08:55 UTC
I think most people would want this made default. Otherwise, the new user perceives that LibO is not as smart as other word processors. This can lower their esteem for LibO, which is a shame since LibO actually has the ability.

The few who prefer simple/ordination quote marks would probably know that there's a way to disable it.

So, I support the implementation.
Comment 5 Olivier R. 2013-11-25 18:39:54 UTC
I also agree.
Comment 6 David H. Gutteridge 2013-12-30 14:16:44 UTC
I too think this should be enabled by default. It's inconsistent to convert double quotes by default but not single quotes. (And perhaps counterintuitive for users in British Commonwealth countries who use single quotes rather than double quotes as standard.)
Comment 7 Mihkel Tõnnov 2014-02-12 13:02:48 UTC
*** Bug 74855 has been marked as a duplicate of this bug. ***
Comment 8 David H. Gutteridge 2015-11-15 14:17:43 UTC
Given window-orphan control was enabled by default in LibreOffice 5.1 to be consistent with MS Word, perhaps this change could be considered as well?
Comment 9 Commit Notification 2015-11-15 23:13:34 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":


tdf#38395 enable smart apostrophe replacement by default

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:

Affected users are encouraged to test the fix and report feedback.
Comment 10 László Németh 2015-11-15 23:16:34 UTC
Fixed in commit	e6fade1ce133039d28369751b77ac8faff6e40cb

tdf#38395 enable smart apostrophe replacement by default

Unicode apostrophe is mandatory for French, English, etc. typography,
and it is a default option in all modern word processors.

The fix enables single quote AutoCorrect replacement for all languages.
Comment 11 Adolfo Jayme 2015-11-16 00:28:53 UTC
*** Bug 92850 has been marked as a duplicate of this bug. ***
Comment 12 Milan Bouchet-Valat 2015-11-16 14:03:05 UTC
Hurray! Thanks László, this is a great day for LibreOffice!
Comment 13 V Stuart Foote 2016-10-18 14:37:53 UTC
As always there can be unintended consequences to global changes across the modules... see bug 99930